Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class RadioButton

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl
          com.tonbeller.wcf.ui.Item
              com.tonbeller.wcf.ui.RadioButton

public class RadioButton
extends Item

Field Summary
`static java.lang.String` | `NODENAME`

Constructor Summary
`RadioButton()`

Method Summary
`static org.w3c.dom.Element` | `addRadioButton(org.w3c.dom.Element parent)` adds radio button to parent element, using parent's id as group id
`static org.w3c.dom.Element` | `createRadioButton(org.w3c.dom.Document doc)` factory function
`static org.w3c.dom.Element` | `createRadioButton(org.w3c.dom.Document doc, java.lang.String groupId)` factory function, using given groupId
`static java.lang.String` | `getGroupId(org.w3c.dom.Element element)` get group id
`static boolean` | `isRadioButton(org.w3c.dom.Element elem)`
`static void` | `setGroupId(org.w3c.dom.Element element, java.lang.String groupId)` set Group id

Methods inherited from class com.tonbeller.wcf.ui.Item
`createItem, getValue, isSelected, setSelected, setValue`

Methods inherited from class com.tonbeller.wcf.ui.XoplonCtrl
`createCtrl, getId, getLabel, getModelReference, isDisabled, isHidden, setDisabled, setHidden, setId, setLabel, setModelReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODENAME

    public static final java.lang.String NODENAME

See Also:
  Constant Field Values

Constructor Detail

### RadioButton

    public RadioButton()

Method Detail

### isRadioButton

    public static boolean isRadioButton(org.w3c.dom.Element elem)

### setGroupId

    public static void setGroupId(org.w3c.dom.Element element,
                                  java.lang.String groupId)

  set Group id

### getGroupId

    public static java.lang.String getGroupId(org.w3c.dom.Element element)

  get group id

### createRadioButton

    public static org.w3c.dom.Element createRadioButton(org.w3c.dom.Document doc)

  factory function

### createRadioButton

    public static org.w3c.dom.Element createRadioButton(org.w3c.dom.Document doc,
                                                        java.lang.String groupId)

  factory function, using given groupId

### addRadioButton

    public static org.w3c.dom.Element addRadioButton(org.w3c.dom.Element parent)

  adds radio button to parent element, using parent's id as group id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD